Loading...
Searching...
No Matches
sched_component.h File Reference
`#include <starpu_sched_component.h>`

Go to the source code of this file.

## Functions

void | _starpu_sched_component_lock_all_workers (void)
void | _starpu_sched_component_unlock_all_workers (void)
void | _starpu_sched_component_workers_destroy (void)
struct _starpu_worker * | _starpu_sched_component_worker_get_worker (struct starpu_sched_component *)
struct starpu_bitmap * | _starpu_get_worker_mask (unsigned sched_ctx_id)

## Function Documentation

## _starpu_sched_component_lock_all_workers()

void _starpu_sched_component_lock_all_workers | ( | void |  | ) |

lock and unlock drivers for modifying schedulers